package heliumapi

import (
	"encoding/json"
	"fmt"
)

// query https://docs.helium.com/api/blockchain/oracle-prices#current-oracle-price
func GetCurrentOraclePrice() (*CurrentOraclePrice, error) {
	path := "/v1/oracle/prices/current"

	// query the api
	respBody, err := getHeliumApi(path, nil)
	if err != nil {
		return nil, err
	}

	// unmarshal the response
	respobject := CurrentOraclePriceResp{}
	err = json.Unmarshal(respBody, &respobject)
	if err != nil {
		return nil, fmt.Errorf("failed to unmarshal response from %v: %v", path, err)
	}

	return &respobject.Data, nil
}
